"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ms = void 0;
const tslib_1 = require("tslib");
const index_1 = tslib_1.__importDefault(require("../index"));
const uuid_1 = require("uuid");
const user_model_1 = require("./models/user.model");
exports.ms = new index_1.default({ port: 4000, rabbit: {}, models: __dirname });
const main = async function () {
    console.log('main test: ' + __dirname);
    // await ms.db.add(User)
    await exports.ms.db.init();
    exports.ms.declareRoute('GET', '/test', (req, res) => {
        res.send({ hi: 'there' });
    });
    exports.ms.declareRoute('GET', '/rabbitStatus', (req, res) => {
        console.log('getting rabbit status');
        const status = exports.ms.rabbit.getStatus();
        const q = exports.ms.rabbit.getMessageQueue();
        res.send({ status: status, queue: q });
    });
    exports.ms.declareRoute('GET', '/rabbit', (req, res) => {
        exports.ms.rabbit.pub('rabbit', 'this uses the rabbit object');
        res.send('thanks for using rabbit');
    });
    exports.ms.declareRoute('GET', '/dbs', async (req, res) => {
        await exports.ms.create(user_model_1.User, { id: uuid_1.v4(), name: 'seamus' });
        res.send('user made');
    });
    exports.ms.declareRoute('GET', '/dbj', async (req, res) => {
        await exports.ms.db.create(user_model_1.User, { id: uuid_1.v4(), name: 'jason' });
        res.send('user made');
    });
    exports.ms.declareRoute('GET', '/dball', async (req, res) => {
        const users = await exports.ms.db.findall(user_model_1.User);
        res.send(users);
    });
    exports.ms.declareRoute('GET', '/dballs', async (req, res) => {
        const users = await exports.ms.db.findall(user_model_1.User, { where: { name: 'seamus' } });
        res.send(users);
    });
    exports.ms.declareRoute('GET', '/dballj', async (req, res) => {
        const users = await exports.ms.db.findall(user_model_1.User, { where: { name: 'jason' } });
        res.send(users);
    });
    exports.ms.declareRoute('GET', '/dbupdate', async (req, res) => {
        const users = await exports.ms.db.findall(user_model_1.User, { where: { name: 'seamus' } });
        users.forEach(async (user) => {
            await exports.ms.db.update(user_model_1.User, { name: 'edmund' }, { where: { id: user.id } });
        });
        res.send('updated');
    });
    exports.ms.start();
};
main();
