"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const sequelize_typescript_1 = require("sequelize-typescript");
class database {
    constructor(dir_path) {
        console.log('test: ' + dir_path + '/models/**/*.model.js');
        this.DB = new sequelize_typescript_1.Sequelize({
            database: 'tester',
            dialect: 'postgres',
            username: 'root',
            password: '',
            port: 26257,
            models: [dir_path + '/models/**/*.model.js'],
            modelMatch: (filename, member) => {
                return (filename.substring(0, filename.indexOf('.model')) ===
                    member.toLowerCase());
            }
        });
    }
    async create(Model, data) {
        await Model.create(data);
    }
    async update(Model, data, query) {
        await Model.update(data, query);
    }
    async findall(Model, query) {
        return await Model.findAll(query);
    }
    add(Model) {
        this.DB.addModels([Model]);
    }
    async init() {
        await this.DB.sync({ force: true });
    }
}
exports.default = database;
