"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.initDbInstances = void 0;
const tslib_1 = require("tslib");
const sequelize_cockroachdb_1 = tslib_1.__importDefault(require("sequelize-cockroachdb"));
const fs_1 = tslib_1.__importDefault(require("fs"));
const initDbInstances = (service, databases) => {
    for (const db of databases) {
        switch (db.type) {
            case 'crdb':
                service.databases[db.database] = initCrdb(db);
                break;
            default:
                console.log('invalid database type');
        }
    }
};
exports.initDbInstances = initDbInstances;
const initCrdb = (db) => {
    const { port, host, database, user, password, certDir } = db;
    // @ts-ignore
    return new sequelize_cockroachdb_1.default(database, user, password || '', {
        dialect: 'postgres',
        port: port,
        host: host,
        logging: false,
        operatorsAliases: false,
        dialectOptions: {
            ssl: {
                ca: fs_1.default.readFileSync(certDir + `ca.crt`)
                    .toString(),
                key: fs_1.default.readFileSync(certDir + `client.${user}.key`)
                    .toString(),
                cert: fs_1.default.readFileSync(certDir + `client.${user}.crt`)
                    .toString()
            }
        }
    });
};
