"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const ioredis_1 = tslib_1.__importDefault(require("ioredis"));
class redis {
    constructor() {
        this.redisConnection = new ioredis_1.default();
    }
    get(key, onSuccess, onError) {
        this.redisConnection.get(key, (err, result) => {
            if (err) {
                onError(err, result);
            }
            else {
                onSuccess(result);
            }
        });
    }
    set(key, data, onSuccess, onError) {
        this.redisConnection.set(key, data, (err, result) => {
            if (err) {
                onError(err, result);
            }
            else {
                onSuccess(result);
            }
        });
    }
    setnx(key, data, onSuccess, onExists, onError) {
        this.redisConnection.setnx(key, data, (err, result) => {
            if (err) {
                onError(err, data);
            }
            else {
                if (result) {
                    onSuccess(data);
                }
                else {
                    onExists();
                }
            }
        });
    }
}
exports.default = redis;
